> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# source

> GenericMDOProvider reads MDO lists with default settings

## "source" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'source'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/source
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("source", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name        | StyleHint | ExtraInfo |
| -- | ----------- | --------- | --------- |
| 1  | Aktivt salg |           |           |
| 4  | Annbefaling |           |           |
| 2  | Campaign    |           |           |
| 3  | Internet    |           |           |

## Related MDO Lists

* "sourceheadings"
* "sourceheadingswithallitem"
* "sourceheadingswithallitemwithnoselection"
* "sourceheadingswithnoselection"
* "sourcewithallitem"
* "sourcewithallitemwithnoselection"
* "sourcewithnoselection"


## Related topics

- [Source table](/en/database/tables/source.md)
- [NSSource](/en/automation/crmscript/reference/CRMScript.NetServer.NSSource.md)
- [Delete Source](/en/api/reference/restful/rest/list_source/delete-source.md)
- [Get Source](/en/api/reference/restful/rest/list_source/get-source.md)
- [Post Source](/en/api/reference/restful/rest/list_source/post-source.md)
- [Put Source](/en/api/reference/restful/rest/list_source/put-source.md)
